import os
import sys

import yj.nlu.api


def main():
    nlu_appid = os.getenv("NLU_API_APPID", "your NLU appid")

    nlu = yj.nlu.api.NluApi(appid=nlu_appid)

    context = {}

    input_text = sys.stdin.readline().rstrip()
    while input_text:
        results = nlu.analyze(input_text, context)
        sys.stdout.write("入力: {0}\n応答:\n".format(input_text))

        for key, value in results["result"].items():
            if key != "method" and not key.startswith("param_"):
                continue
            sys.stdout.write("\t{key}\t{value}\n".format(key=key, value=value))

        context = results["context"]
        input_text = sys.stdin.readline().rstrip()


if __name__ == '__main__':
    main()
